import WGS84MrGcj02 from './WGS84MrGcj02';
import bd09IIToGcj02 from './bd09IIMrGcj02';

// 准确性高
// wgs84与bd09互转
const WGS84Mrbd09 = {
  Wgs84ToBd09: (lng: number, lat: number) => {
    // wgs转高德
    const { lon: lng1, lat: lat1 } = WGS84MrGcj02.wgs84ToGcj02(lng, lat) || {};
    // 高德转百度
    // const { lon: lng2, lat: lat2 } = bd09IIToGcj02.gcj02ToBaidu(lng1, lat1) || {};
    return bd09IIToGcj02.gcj02ToBaidu(lng1!, lat1!)
  },
  Bd09ToWgs84: (lng: number, lat: number) => {
    // 百度转高德
    const { lon: lng1, lat: lat1 } = bd09IIToGcj02.baiduToGcj02(lng, lat) || {};
    // 高德转wgs
    // const { lon: lng2, lat: lat2 } = WGS84MrGcj02.gcj02ToBaidu(lng1, lat1) || {};
    return WGS84MrGcj02.GCJ02ToWGS84(lng1, lat1)
  }
}

export default WGS84Mrbd09;