/*
 * @Author: zhenxing xiezhenxing@codvision.com
 * @Date: 2022-06-20 15:59:20
 * @LastEditors: zhenxing xiezhenxing@codvision.com
 * @LastEditTime: 2022-06-20 16:19:36
 * @FilePath: \组件库\src\components\OlMyMap\mapTools\getGroupId.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export const getAreaGroupId = (str: string) => `${str}_area`;
export const analysisAreaGroupId = (str: string) => `${str?.slice(0, str?.length - 5)}`;
export const checkAreaGroupId = (str: string) => `${str?.slice(str?.length - 5, str?.length)}` === '_area';
export const getIconGroupId = (str: string) => `${str}_icon`;
export const analysisIconGroupId = (str: string) => `${str?.slice(0, str?.length - 5)}`;
export const checkIconGroupId = (str: string) => `${str?.slice(str?.length - 5, str?.length)}` === '_icon';
export const getClusterGroupId = (str: string) => `${str}_cluster`;
export const analysisClusterGroupId = (str: string) => `${str?.slice(0, str?.length - 8)}`;
export const checkClusterGroupId = (str: string) => `${str?.slice(str?.length - 5, str?.length)}` === '_cluster';


export const overlayChangeGetId = (str: string) => {
  return `${str}_change_key`;
}