/*
 * @Author: zhenxing xiezhenxing@codvision.com
 * @Date: 2022-05-30 13:53:52
 * @LastEditors: zhenxing xiezhenxing@codvision.com
 * @LastEditTime: 2022-05-30 13:53:58
 * @FilePath: \组件库\src\pages\MapComponent\OlTest\components\OlMyMap\mapTools\getpolyArea.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as turf from '@turf/turf';
var getList = function (coord: any[]) {
  var list: any[] = [[]];
  coord.forEach(function (item, index) {
    if (index % 2) {
      list[0].push([coord[index - 1], item]);
    }
  });
  return list;
};
var getArea = function (coord: any[]) {
  try {
    var list = getList(coord);
    var py = turf.polygon(list);
    return turf.area(py);
  }
  catch (error) {
    return 0;
  }
};
var getpolyArea = function (list: any[]) {
  var newList = list
    .map(function (item, index) { return ({ index: index, area: item, m: getArea(item.flatCoordinates) }); })
    .sort(function (a, b) { return b.m - a.m; })
    .map(function (item) { return item.area; });
  return newList;
};
export default getpolyArea;
