/*
 * @Author: zhenxing xiezhenxing@codvision.com
 * @Date: 2022-05-30 14:16:28
 * @LastEditors: zhenxing xiezhenxing@codvision.com
 * @LastEditTime: 2022-05-30 14:18:00
 * @FilePath: \组件库\src\pages\MapComponent\OlTest\components\OlMyMap\mapTools\readGeometry.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import WKTTOOLS from 'terraformer-wkt-parser';
import WKT from 'ol/format/WKT';

const readGeometry = (str: string | undefined) => {
  if (!str)
    return null;
  let newstr;
  let wkt = new WKT();
  try {
    newstr = WKTTOOLS.convert(JSON.parse(str));
  }
  catch (error) {
    newstr = str;
  }
  return wkt.readGeometry(newstr);
};
export default readGeometry;