/*
 * @Author: zhenxing xiezhenxing@codvision.com
 * @Date: 2022-06-09 10:22:38
 * @LastEditors: zhenxing xiezhenxing@codvision.com
 * @LastEditTime: 2022-06-09 10:24:29
 * @FilePath: \组件库\src\pages\MapComponent\OlTest\components\OlMyMap\mapTools\utils\createLineStyle.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as olStyle from 'ol/style';
import getParams from './getParams';
import { DEFAULTICON } from './config.ts';
/** 过滤经纬度 */
function createIconStyle(styleOpts) {
  var _a = getParams(styleOpts, DEFAULTICON),
    borderColor = _a.borderColor,
    borderSize = _a.borderSize;
  return new olStyle.Style({
    stroke: new olStyle.Stroke({
      color: borderColor,
      width: borderSize,
    }),
    zIndex: 20,
  });
}
export default createIconStyle;
