/**
 * @原算法 https://www.jianshu.com/p/57ca061f3987
 * @根据该作者的修改成JS版的
 * @time 2019-7-17 09:58:42
 * @description bd09 转WGS84,精准度高
 * */
declare const CoordinateUtil: {
    x_pi: number;
    pi: number;
    ee: number;
    a: number;
    bd09togcj02(bd_lon: number, bd_lat: number): number[];
    gcj02tobd09(lng: number, lat: number): number[];
    gcj02towgs84(lng: number, lat: number): number[];
    transformlat(lng: number, lat: number): number;
    transformlng(lng: number, lat: number): number;
    getWgs84xy(x: number, y: number): number[];
};
export default CoordinateUtil;
