import * as olStyle from 'ol/style';
import { FullScreen, Attribution, MousePosition, OverviewMap, Rotate, ScaleLine, Zoom, ZoomSlider, ZoomToExtent } from 'ol/control';
/** 默认工具配置 */
export declare const TOOLSDATA: {
    FullScreen: FullScreen;
    Attribution: Attribution;
    MousePosition: MousePosition;
    OverviewMap: OverviewMap;
    Rotate: Rotate;
    ScaleLine: ScaleLine;
    Zoom: Zoom;
    ZoomSlider: ZoomSlider;
    ZoomToExtent: ZoomToExtent;
};
/** 默认text配置 */
export declare const DEFAULTTEXT: {
    textVisible: boolean;
    textParam: string;
    textOffset: number[];
    textAlign: string;
    textBaseline: string;
    font: string;
    textColor: string;
    textBackgroundColor: string;
    textPadding: number[];
};
/** 默认icon配置 */
export declare const DEFAULTICON: {
    iconAnchor: number[];
    iconAnchorOrigin: string;
    iconOpacity: number;
    iconScale: number;
    image: undefined;
};
export declare const DrawDefaultStyle: {
    Polygon: olStyle.Style;
    MultiPolygon: olStyle.Style;
    LineString: olStyle.Style;
    MultiLineString: olStyle.Style;
    Point: olStyle.Style;
    MultiPoint: olStyle.Style;
    Circle: olStyle.Style;
    LinearRing: olStyle.Style;
    GeometryCollection: olStyle.Style;
};
declare const defaultFun: () => void;
export default defaultFun;
