//百度和高德互转
// 准确性高
const bd09IIToGcj02 = {
  x_pi: 3.14159265358979324 * 3000.0 / 180.0,
  baiduToGcj02(lon: number, lat: number) {
    const mars_point = { lon: 0, lat: 0 };
    const x = +lon - 0.0065;
    const y = +lat - 0.006;
    const z = Math.sqrt(x * x + y * y) - 0.00002 * Math.sin(y * this.x_pi);
    const theta = Math.atan2(y, x) - 0.000003 * Math.cos(x * this.x_pi);
    mars_point.lon = z * Math.cos(theta);
    mars_point.lat = z * Math.sin(theta);
    return mars_point;
  },
  gcj02ToBaidu(lon: number, lat: number) {
    const baidu_point = { lon: 0, lat: 0 };
    const x = +lon;
    const y = +lat;
    const z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * this.x_pi);
    const theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * this.x_pi);
    baidu_point.lon = z * Math.cos(theta) + 0.0065;
    baidu_point.lat = z * Math.sin(theta) + 0.006;
    return baidu_point;
  }
}

export default bd09IIToGcj02;