var __rest = function(s, e) {
  var t = {};
  for (var p in s)
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
      t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === 'function')
    for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
      if (
        e.indexOf(p[i]) < 0 &&
        Object.prototype.propertyIsEnumerable.call(s, p[i])
      )
        t[p[i]] = s[p[i]];
    }
  return t;
};
import createIconStyle from './createIconStyle';
import getParams from './getParams';
import { DEFAULTICON, DEFAULTTEXT } from './config.ts';
// const styleCache = {};
/** 过滤经纬度 */
function createClusterStyle(feature, styleOpts) {
  var _a, _b, _c, _d;
  var _e = getParams(
      styleOpts,
      Object.assign(Object.assign({}, DEFAULTTEXT), DEFAULTICON)
    ),
    onlyOneSrc = _e.onlyOneSrc,
    groupSrc = _e.groupSrc,
    _f = _e.textParam,
    textParam = _f === void 0 ? 'name' : _f,
    _g = _e.isShowPointerNum,
    isShowPointerNum = _g === void 0 ? false : _g,
    image = _e.image,
    other = __rest(_e, [
      'onlyOneSrc',
      'groupSrc',
      'textParam',
      'isShowPointerNum',
      'image',
    ]);
  var fList = feature.get('features') || [];
  var size = fList.length;
  // let style = styleCache[size];
  if (size === 1) {
    return createIconStyle(
      Object.assign(Object.assign({}, other), {
        iconSrc: onlyOneSrc,
        text:
          (_b =
            (_a = fList[0]) === null || _a === void 0
              ? void 0
              : _a.userData) === null || _b === void 0
            ? void 0
            : _b[textParam],
      })
    );
  }
  return createIconStyle(
    Object.assign(Object.assign({ image: image }, other), {
      iconSrc: groupSrc,
      text: isShowPointerNum
        ? '' + size
        : (_d =
            (_c = fList[0]) === null || _c === void 0
              ? void 0
              : _c.userData) === null || _d === void 0
        ? void 0
        : _d[textParam],
    })
  );
}
export default createClusterStyle;
