/* eslint-disable no-param-reassign */
/*
 * @Author: zhenxing xiezhenxing@codvision.com
 * @Date: 2022-06-09 10:22:38
 * @LastEditors: zhenxing xiezhenxing@codvision.com
 * @LastEditTime: 2022-06-09 10:24:01
 * @FilePath: \组件库\src\pages\MapComponent\OlTest\components\OlMyMap\mapTools\utils\createIconStyle.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

var __read = function(o, n) {
  var m = typeof Symbol === 'function' && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = { error: error };
  } finally {
    try {
      if (r && !r.done && (m = i['return'])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};

import * as olStyle from 'ol/style';
import IconOrigin from 'ol/style/IconOrigin';
import IconAnchorUnits from 'ol/style/IconAnchorUnits';
import getParams from './getParams';
import { DEFAULTICON, DEFAULTTEXT } from './config.ts';
/** 过滤经纬度 */
function createIconStyle(styleOpts) {
  var _a = getParams(
      styleOpts,
      Object.assign(Object.assign({}, DEFAULTTEXT), DEFAULTICON)
    ),
    src = _a.iconSrc,
    iconAnchor = _a.iconAnchor,
    iconAnchorOrigin = _a.iconAnchorOrigin,
    iconOpacity = _a.iconOpacity,
    iconScale = _a.iconScale,
    textOffset = _a.textOffset,
    textAlign = _a.textAlign,
    textBaseline = _a.textBaseline,
    font = _a.font,
    text = _a.text,
    textColor = _a.textColor,
    textBackgroundColor = _a.textBackgroundColor,
    textPadding = _a.textPadding,
    textVisible = _a.textVisible,
    image = _a.image;
  var _b = __read(textOffset, 2),
    offsetX = _b[0],
    offsetY = _b[1];
  return new olStyle.Style({
    image:
      image ||
      new olStyle.Icon({
        anchor: iconAnchor,
        anchorOrigin: iconAnchorOrigin,
        // X方向单位：分数
        anchorXUnits: IconAnchorUnits.FRACTION,
        // Y方向单位：像素
        anchorYUnits: IconAnchorUnits.PIXELS,
        // 偏移起点位置的方向
        offsetOrigin: IconOrigin.TOP_RIGHT,
        opacity: iconOpacity,
        scale: iconScale,
        src: src,
      }),
    // 文本样式
    text: textVisible
      ? new olStyle.Text({
          offsetX: offsetX,
          offsetY: offsetY,
          textAlign: textAlign,
          textBaseline: textBaseline,
          font: font,
          text: text,
          fill: new olStyle.Fill({
            color: textColor,
          }),
          backgroundFill: new olStyle.Fill({
            color: textBackgroundColor,
          }),
          padding: textPadding,
        })
      : undefined,
    zIndex: 20,
  });
}
export default createIconStyle;
