import WKTTOOLS from 'terraformer-wkt-parser';
import WKT from 'ol/format/WKT';
/**
 * 通过wkt/geojson读取geometry
 * @param str wkt/geojson 字符串
 */
var readGeometry = function (str) {
    if (!str)
        return null;
    var newstr;
    var wkt = new WKT();
    try {
        newstr = WKTTOOLS.convert(JSON.parse(str));
    }
    catch (error) {
        newstr = str;
    }
    return wkt.readGeometry(newstr);
};
export default readGeometry;
