import * as turf from '@turf/turf';
function setFocus(list) {
    var newList = turf.featureCollection(list.map(function (_a) {
        var lng = _a.lng, lat = _a.lat;
        return turf['point']([lng, lat]);
    }));
    try {
        var py = turf.envelope(newList).geometry;
        return JSON.stringify(py);
    }
    catch (error) {
        return undefined;
    }
}
export default setFocus;
